NX Open C++ Reference Guide
Classes | Public Types | Public Member Functions | List of all members
NXOpen::Part Class Reference

Represents an NX part of type .prt. More...

Inheritance diagram for NXOpen::Part:
NXOpen::BasePart NXOpen::NXObject NXOpen::TaggedObject NXOpen::INXObject

Classes

struct  FeatureUpdateStatus
 Contains feature update status report. More...
 
struct  PartFamilyAttributeData
 Contains part family attributes information
More...
 

Public Types

enum  PartFamilyAttrType {
  PartFamilyAttrTypeTextType = 1, PartFamilyAttrTypeNumericType, PartFamilyAttrTypeIntegerType, PartFamilyAttrTypeDoubleType,
  PartFamilyAttrTypeStringType, PartFamilyAttrTypePartType, PartFamilyAttrTypeNameType, PartFamilyAttrTypeInstanceType,
  PartFamilyAttrTypeExpressionType, PartFamilyAttrTypeMirrorType, PartFamilyAttrTypeDensityType, PartFamilyAttrTypeFeatureType
}
 The part family attribute types. More...
 
enum  Relations { RelationsStandalone, RelationsReferenceExisting, RelationsMix }
 The relations of the part file. More...
 
enum  Units { UnitsInches, UnitsMillimeters, UnitsMix }
 The units of the part file. More...
 
- Public Types inherited from NXOpen::BasePart
enum  BookmarkOption {
  BookmarkOptionAll, BookmarkOptionComponentGroupsLoadOptions, BookmarkOptionComponentGroupsOnly, BookmarkOptionAllPlusDisplay,
  BookmarkOptionComponentGroupsLoadOptionsPlusDisplay, BookmarkOptionComponentGroupsOnlyPlusDisplay, BookmarkOptionDisplayOnly, BookmarkOptionEmpty
}
 Controls the information written to a bookmark file. More...
 
enum  CloseAfterSave { CloseAfterSaveFalse, CloseAfterSaveTrue }
 Used to specify whether a part should be closed after it is saved. More...
 
enum  CloseModified { CloseModifiedUseResponses, CloseModifiedCloseModified, CloseModifiedDontCloseModified }
 Indicates how part close should handle component parts when they are modified. More...
 
enum  CloseWholeTree { CloseWholeTreeFalse, CloseWholeTreeTrue }
 Used to specify whether or not to close a part's components during a close operation. More...
 
enum  CollaborativeContentType {
  CollaborativeContentTypeWorkset, CollaborativeContentTypeSubset, CollaborativeContentTypeShapeDesignElement, CollaborativeContentTypeOverridePart,
  CollaborativeContentTypeNotAssigned
}
 Represents the collaborative content type corresponding to this part. More...
 
enum  PartPreview { PartPreviewNone, PartPreviewOnSave, PartPreviewOnDemand }
 Specifies the preview mode of the part file. More...
 
enum  SaveComponents { SaveComponentsFalse, SaveComponentsTrue }
 Used to specify whether a part's components should be saved (if modified) when the part is saved. More...
 
enum  Units { UnitsInches, UnitsMillimeters }
 The units of the part file. More...
 
- Public Types inherited from NXOpen::NXObject
enum  AttributeType {
  AttributeTypeInvalid, AttributeTypeNull, AttributeTypeBoolean, AttributeTypeInteger,
  AttributeTypeReal, AttributeTypeString, AttributeTypeTime, AttributeTypeReference,
  AttributeTypeAny = 100
}
 Specifies attribute type. More...
 
enum  DateAndTimeFormat { DateAndTimeFormatNumeric, DateAndTimeFormatTextual }
 Specifies the format of the date and time attribute. More...
 

Public Member Functions

NXOpen::Annotations::AnnotationManagerAnnotations ()
 Returns the AnnotationManager for part
Created in NX3.0.0. More...
 
NXOpen::GeometricUtilities::BlendStopshortBuilderCollectionBlendStopshortBuilder ()
 Returns the BlendStopshortBuilderCollection instance belonging to this part
Created in NX5.0.0. More...
 
NXOpen::BodyCollectionBodies ()
 Returns the BodyCollection instance belonging to this part
Created in NX3.0.0. More...
 
NXOpen::Tooling::CAMDataManagerCAMDataManager ()
 Returns the Tooling.CAMDataManager for this part
Created in NX9.0.0. More...
 
NXOpen::GeometricUtilities::CAMDataPrepManagerCAMDataPrepManager ()
 Returns the CAMDataPrepManager instance belonging to this part
Created in NX9.0.0. More...
 
NXOpen::CAM::CAMSetupCAMSetup ()
 Returns the CAM setup of the work part
Created in NX4.0.0. More...
 
NXOpen::ClipboardOperationsManagerClipboardOperationsManager ()
 Returns the ClipboardOperations manager for this part
Created in NX5.0.0. More...
 
NXOpen::Layout2d::ComponentCollectionComponent2dCollection ()
 Returns the ComponentCollection instance belonging to this part
Created in NX9.0.0. More...
 
NXOpen::Layout2d::ComponentDefinitionCollectionComponentDefinitions ()
 Returns the ComponentDefinitionCollection instance belonging to this part
Created in NX9.0.0. More...
 
NXOpen::Assemblies::ComponentGroupCollectionComponentGroups ()
 Returns the collection of ComponentGroups for this part
Created in NX5.0.0. More...
 
void ConvertPreNX9CompoundWelds ()
 Convert any existing pre-NX9 Compound Weld User Defined Objects to NX features. More...
 
NXOpen::GeometricUtilities::BoundingObjectBuilderCreateBoundingObjectBuilder ()
 Creates an NXOpen::GeometricUtilities::BoundingObjectBuilder object. More...
 
NXOpen::CAM::CAMSetupCreateCamSetup (const NXString &templateName)
 Creates CAM setup. More...
 
NXOpen::CAM::CAMSetupCreateCamSetup (const char *templateName)
 Creates CAM setup. More...
 
NXOpen::GeometricUtilities::BlendSetbackBuilderCreateEmptyBlendSetbackBuilder ()
 Creates a NXOpen::GeometricUtilities::BlendSetbackBuilder object. More...
 
NXOpen::GeometricUtilities::BoundaryDefinitionBuilderCreateEmptyBoundaryDefinitionBuilder ()
 Creates boundary definition builder object. More...
 
NXOpen::ExpressionCollectorSetCreateEmptyExpressionCollectorSet ()
 Creates an empty ExpressionCollectorSet item. More...
 
NXOpen::ExpressionSectionSetCreateEmptyExpressionSectionSet ()
 Creates an empty ExpressionSectionSet item. More...
 
NXOpen::RegionPointCreateEmptyRegionPoint ()
 Creates an empty item that contains a point and its corresponding body context for a region. More...
 
NXOpen::GeometricUtilities::TransitionCurveBuilderCreateEmptyTransitionCurveBuilder ()
 Creates a NXOpen::GeometricUtilities::TransitionCurveBuilder object. More...
 
NXOpen::GeometricUtilities::TwoExpressionsCollectorSetCreateEmptyTwoExpressionsCollectorSet ()
 Creates an empty TwoExpressionCollectorSet item that contains a NXOpen::ScCollector collection and two corresponding expressions. More...
 
NXOpen::GeometricUtilities::TwoExpressionsSectionSetCreateEmptyTwoExpressionsSectionSet ()
 Creates an empty TwoExpressionSectionSet item that contains a NXOpen::Section section and two corresponding expressions. More...
 
NXOpen::ExpressionCollectorSetCreateExpressionCollectorSet (NXOpen::ScCollector *collector, const NXString &value, const NXString &unitsType, int index)
 Creates an ExpressionCollectorSet item that contains a NXOpen::ScCollector collection and a corresponding expression. More...
 
NXOpen::ExpressionCollectorSetCreateExpressionCollectorSet (NXOpen::ScCollector *collector, const char *value, const char *unitsType, int index)
 Creates an ExpressionCollectorSet item that contains a NXOpen::ScCollector collection and a corresponding expression. More...
 
NXOpen::ExpressionSectionSetCreateExpressionSectionSet (NXOpen::Section *section, const NXString &value, const NXString &unitsType, int index)
 Creates an ExpressionSectionSet item that contains a NXOpen::Section collection and a corresponding expression. More...
 
NXOpen::ExpressionSectionSetCreateExpressionSectionSet (NXOpen::Section *section, const char *value, const char *unitsType, int index)
 Creates an ExpressionSectionSet item that contains a NXOpen::Section collection and a corresponding expression. More...
 
NXOpen::CAM::InspectionSetupCreateInspectionSetup (const NXString &templateName)
 Creates CMM Inspection setup. More...
 
NXOpen::CAM::InspectionSetupCreateInspectionSetup (const char *templateName)
 Creates CMM Inspection setup. More...
 
NXOpen::SIM::KinematicConfiguratorCreateKinematicConfigurator ()
 Create an instance of NXOpen::SIM::KinematicConfigurator class that will be used to manage all Machine tool Builder and Configurator objects. More...
 
NXOpen::ObjectListCreateObjectList ()
 Creates an empty list that can be populated with any NXObject. More...
 
NXOpen::PartFamilyManagerCreatePartFamily (const std::vector< NXOpen::Part::PartFamilyAttributeData > &attributeData, NXOpen::PartFamilyMemberData *memberData)
 Create a part family of the part. More...
 
NXOpen::GeometricUtilities::PointSetAlignmentBuilderCreatePointSetAlignmentBuilder ()
 Creates point set alignment builder object. More...
 
NXOpen::GeometricUtilities::PointsFromFileBuilderCreatePointsFromFileBuilder ()
 Creates a NXOpen::GeometricUtilities::PointsFromFileBuilder object. More...
 
NXOpen::RegionPointCreateRegionPoint (NXOpen::Point *point, NXOpen::Body *body)
 Creates an item that contains a point and its corresponding body context for a region. More...
 
NXOpen::GeometricUtilities::SelectionListCreateSelectionList ()
 Creates a NXOpen::GeometricUtilities::SelectionList object. More...
 
NXOpen::GeometricUtilities::TwoExpressionsCollectorSetCreateTwoExpressionsCollectorSet (NXOpen::ScCollector *collector, const NXString &value, const NXString &valueTwo, const NXString &unitsType, int index)
 Creates an TwoExpressionCollectorSet item that contains a NXOpen::ScCollector collection and two corresponding expressions. More...
 
NXOpen::GeometricUtilities::TwoExpressionsCollectorSetCreateTwoExpressionsCollectorSet (NXOpen::ScCollector *collector, const char *value, const char *valueTwo, const char *unitsType, int index)
 Creates an TwoExpressionCollectorSet item that contains a NXOpen::ScCollector collection and two corresponding expressions. More...
 
NXOpen::GeometricUtilities::TwoExpressionsSectionSetCreateTwoExpressionsSectionSet (NXOpen::Section *section, const NXString &value, const NXString &valueTwo, const NXString &unitsType, int index)
 Creates an TwoExpressionSectionSet item that contains a NXOpen::Section section and two corresponding expressions. More...
 
NXOpen::GeometricUtilities::TwoExpressionsSectionSetCreateTwoExpressionsSectionSet (NXOpen::Section *section, const char *value, const char *valueTwo, const char *unitsType, int index)
 Creates an TwoExpressionSectionSet item that contains a NXOpen::Section section and two corresponding expressions. More...
 
NXOpen::GeometricUtilities::WaveLinkRepositoryCreateWavelinkRepository ()
 Create the link repository to handle interpart selection. More...
 
NXOpen::Features::FeatureCurrentFeature ()
 Returns the current feature. More...
 
NXOpen::CutViewCollectionCutViews ()
 Returns the CutViewCollection instance belonging to this part
Created in NX3.0.0. More...
 
void DeleteCamSetup ()
 Delete CAM setup
Created in NX4.0.0. More...
 
void DeleteInspectionSetup ()
 Delete CMM Inspection setup
Created in NX7.0.0. More...
 
void DeleteRetainedDraftingObjectsInCurrentLayout ()
 Deletes all retained drafting objects in the current layout of part that are currently in the "retained" state. More...
 
NXOpen::Diagramming::DiagrammingManager * DiagrammingManager ()
 Returns the DiagrammingManager instance belonging to this part
Created in NX10.0.0. More...
 
NXOpen::Die::DieSimCollectionDieSimData ()
 Returns the Die.DieSimCollection instance belonging to this part
Created in NX3.0.0. More...
 
NXOpen::Annotations::DimensionCollectionDimensions ()
 Returns the DimensionCollection instance belonging to this part
Created in NX3.0.0. More...
 
NXOpen::Positioning::DisplayedConstraintCollectionDisplayedConstraints ()
 Returns the DisplayedConstraintCollection belonging to this part
Created in NX7.5.0. More...
 
NXOpen::DraftingManagerDrafting ()
 Returns the DraftingManager for part
Created in NX3.0.0. More...
 
NXOpen::Drafting::DraftingApplicationManagerDraftingManager ()
 Returns the DraftingApplicationManager for part
Created in NX7.5.0. More...
 
NXOpen::Drawings::DraftingViewCollectionDraftingViews ()
 Returns the DraftingViewCollection instance belonging to this part
Created in NX3.0.0. More...
 
NXOpen::DraftPointDataCollectionDraftPointData ()
 Returns the collection of DraftPointData
Created in NX3.0.0. More...
 
NXOpen::DrawingCompareManagerDrawingCompare ()
 Returns the DraftingManager for part
Created in NX7.5.0. More...
 
NXOpen::Drawings::DrawingSheetCollectionDrawingSheets ()
 Returns the DrawingSheetCollection instance belonging to this part
Created in NX3.0.0. More...
 
NXOpen::GeometricUtilities::FacePlaneSelectionBuilderCollectionFacePlaneSelectionBuilderData ()
 Returns the FacePlaneSelectionBuilderCollection instance belonging to this part
Created in NX6.0.0. More...
 
NXOpen::GeometricUtilities::FaceSetDataCollectionFaceSetData ()
 Returns the FaceSetDataCollection instance belonging to this part
Created in NX5.0.0. More...
 
NXOpen::GeometricUtilities::FaceSetOffsetCollectionFaceSetOffsets ()
 Returns the FaceSetOffsets instance belonging to this part
Created in NX3.0.0. More...
 
NXOpen::Facet::FacetedBodyCollectionFacetedBodies ()
 Returns the FacetedBodyCollection instance belonging to this part
Created in NX5.0.0. More...
 
NXOpen::Features::FeatureCollectionFeatures ()
 Returns the FeatureCollection instance belonging to this part
Created in NX3.0.0. More...
 
NXOpen::Mechatronics::GanttCollectionGanttCollection ()
 Returns the GanttCollection instance belonging to this part
Created in NX7.5.1. More...
 
NXOpen::Mechatronics::GanttLinkerCollectionGanttLinkerCollection ()
 Returns the GanttLinkerCollection instance belonging to this part
Created in NX10.0.0. More...
 
NXOpen::Annotations::GdtCollectionGdts ()
 Returns a collection of GDTs
Created in NX3.0.0. More...
 
NXOpen::GeometricUtilities::GeometryLocationDataCollectionGeometryLocationData ()
 Returns the GeometryLocationDataCollection instance belonging to this part
Created in NX5.0.0. More...
 
NXOpen::PartFamily::InstanceGetFamilyInstance ()
 Obtains the NXOpen::PartFamily::Instance from part. More...
 
std::vector< NXOpen::Part * > GetInterpartChildren ()
 Returns a list of child parts in the current session that contain interpart geometry. More...
 
std::vector< NXOpen::Part * > GetInterpartParents ()
 Returns a list of parts in the current session that contain the defining geometry for linked geometry in this part. More...
 
NXOpen::PartFamilyManagerGetPartFamilyManager ()
 Create an instance of a NXOpen::PartFamilyManager class that will be used to edit part family of the part. More...
 
std::vector
< NXOpen::Part::FeatureUpdateStatus
GetUpdateStatusReport (int *numFailed)
 Get feature update status report. More...
 
bool HasReuseTemplate ()
 Returns the indicator that the part contains a reuse template. More...
 
NXOpen::ImportManagerImportManager ()
 Returns the import manager for this part
Created in NX5.0.0. More...
 
NXOpen::CAM::InspectionSetupInspectionSetup ()
 Returns the CMM Inspection setup of the work part
Created in NX7.0.0. More...
 
bool IsBookletPart ()
 Returns the status on whether input part is bookletPart or not a bookletPart. More...
 
NXOpen::SIM::KinematicConfiguratorKinematicConfigurator ()
 Returns the NXOpen::SIM::KinematicConfigurator instance of the work part
Created in NX7.5.0. More...
 
NXOpen::Annotations::LabelCollectionLabels ()
 Returns a collection of labels
Created in NX3.0.0. More...
 
NXOpen::Layout2d::LocalDefinitionFolderCollectionLocalDefinitionFolders ()
 Returns the LocalDefinitionFolderCollection instance belonging to this part
Created in NX9.0.0. More...
 
NXOpen::GeometricUtilities::LocalUntrimManagerLocalUntrimManager ()
 Obtains the LocalUntrimManager instance belonging to this part
Created in NX9.0.0. More...
 
void MakeAllFeaturesInactive ()
 Makes all the features of the part inactive
Created in NX7.5.4. More...
 
void MakeNoPartModuleActive ()
 Deactivates any part module that is active in the given part. More...
 
NXOpen::Motion::MarkerCollectionMarkers ()
 Return a collection of Markers
Created in NX3.0.0. More...
 
NXOpen::Mechatronics::MechatronicsManagerMechatronicsManager ()
 Returns the MechatronicsManager instance belonging to this part
Created in NX7.5.1. More...
 
NXOpen::Motion::MotionManagerMotionManager ()
 Returns the MotionManager for this part
Created in NX3.0.0. More...
 
NXOpen::PartFamilyMemberDataNewPartFamilyMemberData ()
 Create an instance of a NXOpen::PartFamilyMemberData class that will be used to store the member count and member values of each member. More...
 
NXOpen::PartFamilyMemberValuesNewPartFamilyMemberValues ()
 Create an instance of a NXOpen::PartFamilyMemberValues class that will be used to store the attribute values of a member. More...
 
NXOpen::PartFamily::TemplateManagerNewPartFamilyTemplateManager ()
 Creates an instance of a NXOpen::PartFamily::TemplateManager class that will be used to manage part family associated with this part. More...
 
NXOpen::Annotations::NoteCollectionNotes ()
 Returns a collection of notes
Created in NX3.0.0. More...
 
NXOpen::GeometricUtilities::OmnicadManagerOmnicadManager ()
 Obtains the OmnicadManager instance belonging to this part
Created in NX10.0.0. More...
 
NXOpen::BodyDes::OnestepUnformCollectionOnestepUnforms ()
 Returns the BodyDes.OnestepUnformCollection instance belonging to this part
Created in NX3.0.0. More...
 
NXOpen::Motion::PackagingCollectionPackagingCollection ()
 Returns the PackagingCollection for this part
Created in NX3.0.0. More...
 
NXOpen::Features::ShipDesign::PenetrationManagerPenetrationManager ()
 Returns the PenetrationManager for this part
Created in NX8.0.0. More...
 
NXOpen::Mechatronics::PhysicsManagerPhysicsManager ()
 Returns the PhysicsManager for this part
Created in NX7.5.1. More...
 
NXOpen::Annotations::PmiManagerPmiManager ()
 Returns the PmiManager for this part
Created in NX3.0.0. More...
 
NXOpen::Assemblies::ProductInterface::CollectionProductInterface ()
 Returns the ProductInterface Collection
Created in NX5.0.0. More...
 
NXOpen::Mechatronics::ProxyObjectCollectionProxyObjectCollection ()
 Returns the ProxyObjectCollection instance belonging to this part
Created in NX8.5.0. More...
 
NXOpen::Mechatronics::ProxyOverrideObjectCollectionProxyOverrideObjectCollection ()
 Returns the ProxyOverrideObjectCollection instance belonging to this part
Created in NX8.5.0. More...
 
NXOpen::Assemblies::RelinkerCollectionRelinkers ()
 Returns the RelinkerCollection instance belonging to this part
Created in NX3.0.0. More...
 
void ResetTimestampToLatestFeature ()
 Sets the timestamp for the part to the timestamp of the latest feature in the part. More...
 
NXOpen::Tooling::AddReusablePartCollectionReusableParts ()
 Returns the AddReusablePartCollection instance belonging to this part
Created in NX3.0.0. More...
 
NXOpen::Routing::RouteManagerRouteManager ()
 Returns the RouteManager for this part
Created in NX3.0.0. More...
 
NXOpen::ScRuleFactoryScRuleFactory ()
 Returns the ScRuleFactory instance belonging to this part
Created in NX3.0.0. More...
 
NXOpen::Routing::SegmentManagerSegmentManager ()
 Returns the SegmentManager for this part
Created in NX3.0.0. More...
 
NXOpen::Drafting::SettingsManagerSettingsManager ()
 Returns the SettingsManager for part
Created in NX9.0.0. More...
 
NXOpen::Annotations::ShipDimensionCollectionShipDimensions ()
 Returns the ShipDimensionCollection instance belonging to this part
Created in NX9.0.0. More...
 
NXOpen::SketchCollectionSketches ()
 Returns the SketchCollection instance belonging to this part
Created in NX3.0.0. More...
 
NXOpen::SketchEvaluatorCollectionSketchEvaluators ()
 Returns the collection of SketchEvaluator
Created in NX3.0.0. More...
 
NXOpen::GeometricUtilities::SpinePointDataCollectionSpinePointData ()
 Returns the SpinePointDataCollection instance belonging to this part
Created in NX5.0.0. More...
 
NXOpen::Features::Subdivision::SubdivisionBodyCollectionSubdivisionBodies ()
 Returns the SubdivisionBodyCollection instance belonging to this part
Created in NX9.0.0. More...
 
NXOpen::Tooling::ToolingManagerToolingManager ()
 Returns the ToolingManager instance belonging to this part
Created in NX3.0.0. More...
 
NXOpen::TracelineCollectionTracelines ()
 Returns a collection of tracelines
Created in NX3.0.0. More...
 
NXOpen::UserDefinedTemplate::CollectionUserDefinedTemplates ()
 Returns the UserDefinedTemplate.Collection instance belonging to this part
Created in NX10.0.0. More...
 
NXOpen::Drawings::ViewAlignmentCollectionViewAlignments ()
 Returns the ViewAlignmentCollection belonging to this part
Created in NX8.5.0. More...
 
NXOpen::Preferences::ViewPreferencesViewPreferences ()
 Returns the ViewPreferences Collection
Created in NX5.0.0. More...
 
- Public Member Functions inherited from NXOpen::BasePart
NXOpen::GeometricAnalysis::AnalysisManagerAnalysisManager ()
 Returns the GeometricAnalysisManager for part
Created in NX5.0.0. More...
 
NXOpen::ArcCollectionArcs ()
 Returns the ArcCollection instance belonging to this part
Created in NX3.0.0. More...
 
NXOpen::Assemblies::ProductOutlineManagerAssemblies ()
 Returns the NXOpen::Assemblies::ProductOutlineManager belonging to this session
Created in NX6.0.0. More...
 
NXOpen::Assemblies::AssemblyManagerAssemblyManager ()
 Returns the NXOpen::Assemblies::AssemblyManager belonging to this session
Created in NX6.0.0. More...
 
void AssignPermanentName (const NXString &newFileName)
 Saves a temporary part with the given name. More...
 
void AssignPermanentName (const char *newFileName)
 Saves a temporary part with the given name. More...
 
NXOpen::AxisCollectionAxes ()
 Returns the AxisCollection instance belonging to this part
Created in NX3.0.0. More...
 
NXOpen::Features::BaseFeatureCollectionBaseFeatures ()
 Returns the FeatureCollection instance belonging to this part
Created in NX3.0.0. More...
 
NXOpen::Display::CameraCollectionCameras ()
 Returns the Display.CameraCollection instance belonging to this part
Created in NX3.0.0. More...
 
NXOpen::CAM::CAMFeatureCollectionCAMFeatures ()
 Returns the CAMFeatureCollection instance belonging to this part
Created in NX7.5.0. More...
 
bool CanBeDisplayPart ()
 Returns true if the part can be displayed and false if not displayed. More...
 
NXOpen::Display::CgfxAttrCollectionCgfxAttrs ()
 Returns the Display.CgfxAttrCollection instance belonging to this part
Created in NX5.0.6. More...
 
NXOpen::Display::CgfxMattexCollectionCgfxMattex ()
 Returns the Display.CgfxMattexCollection instance belonging to this part
Created in NX5.0.6. More...
 
void Close (NXOpen::BasePart::CloseWholeTree wholeTree, NXOpen::BasePart::CloseModified closeModified, NXOpen::PartCloseResponses *responses)
 Closes an open part. More...
 
NXOpen::ColorManagerColors ()
 Manages the standard NX colors
Created in NX3.0.0. More...
 
void CompleteStructure ()
 Make additions necessary to complete the incomplete assembly structure of the input part
Created in NX4.0.0. More...
 
NXOpen::Assemblies::ComponentAssemblyComponentAssembly ()
 Returns the component assembly. More...
 
NXOpen::CoordinateSystemCollectionCoordinateSystems ()
 Returns the CoordinateSystemCollection instance belonging to this part
Created in NX3.0.0. More...
 
NXOpen::Display::DynamicSectionBuilderCreateDynamicSectionBuilder (bool loadFromView)
 Creates a NXOpen::Display::DynamicSectionBuilder The base part must be a displayable part, otherwise an exception will be thrown. More...
 
NXOpen::EffectivityConditionBuilderCreateEffectivityConditionBuilder (NXOpen::CollaborativeDesign *cd, const NXString &effectivityFormula)
 Creates a NXOpen::EffectivityConditionBuilder. More...
 
NXOpen::EffectivityConditionBuilderCreateEffectivityConditionBuilder (NXOpen::CollaborativeDesign *cd, const char *effectivityFormula)
 Creates a NXOpen::EffectivityConditionBuilder. More...
 
NXOpen::EffectivityConditionBuilderCreateEffectivityConditionBuilder (NXOpen::CollaborativeDesign *cd, const NXString &validationBasisFormula, const NXString &effectivityFormula)
 Creates a NXOpen::EffectivityConditionBuilder with initializing validation basis formula. More...
 
NXOpen::EffectivityConditionBuilderCreateEffectivityConditionBuilder (NXOpen::CollaborativeDesign *cd, const char *validationBasisFormula, const char *effectivityFormula)
 Creates a NXOpen::EffectivityConditionBuilder with initializing validation basis formula. More...
 
NXOpen::Display::FacetSettingsBuilderCreateFacetSettingsBuilder ()
 Creates a builder for the Facet Settings dialog. More...
 
NXOpen::GroupBuilderCreateGatewayGroupBuilder (NXOpen::Group *group)
 Creates a Groups builder. More...
 
NXOpen::Display::PerspectiveOptionsBuilderCreatePerspectiveOptionsBuilder ()
 Creates a builder for the Perspective Options dialog. More...
 
NXOpen::ReferenceSetCreateReferenceSet ()
 Creates a NXOpen::ReferenceSet object. More...
 
NXOpen::CurveCollectionCurves ()
 Returns the CurveCollection instance belonging to this part
Created in NX3.0.0. More...
 
NXOpen::DatumCollectionDatums ()
 Returns the DatumCollection instance belonging to this part
Created in NX3.0.0. More...
 
NXOpen::Display::DecalCollectionDecals ()
 Returns the Display.DecalCollection instance belonging to this part
Created in NX3.0.0. More...
 
void DeleteReferenceSet (NXOpen::ReferenceSet *referenceSetObject)
 Deletes a NXOpen::ReferenceSet object
Created in NX6.0.0. More...
 
NXOpen::Optimization::DesignStudyCollectionDesignStudy ()
 Returns the design study instance belonging to this part
Created in NX3.0.0. More...
 
NXOpen::DirectionCollectionDirections ()
 Returns the DirectionCollection instance belonging to this part
Created in NX3.0.0. More...
 
NXOpen::Display::DynamicSectionCollectionDynamicSections ()
 Returns the Display.DynamicSectionCollection instance belonging to this part
Created in NX6.0.0. More...
 
NXOpen::EllipseCollectionEllipses ()
 Returns the EllipseCollection instance belonging to this part
Created in NX3.0.0. More...
 
NXOpen::ExpressionGroupCollectionExpressionGroups ()
 Returns the ExpressionCollection instance belonging to this part
Created in NX10.0.0. More...
 
NXOpen::ExpressionCollectionExpressions ()
 Returns the ExpressionCollection instance belonging to this part
Created in NX3.0.0. More...
 
NXOpen::Fields::FieldManagerFieldManager ()
 Returns the field main. More...
 
NXOpen::FontCollectionFonts ()
 Returns the FontCollection instance belonging to this part
Created in NX3.0.0. More...
 
NXString FullPath ()
 Returns the full path of the part. More...
 
NXOpen::CAE::FunctionCollectionFunctions ()
 Returns the CAE.FunctionCollection for this part
Created in NX5.0.0. More...
 
std::vector
< NXOpen::ReferenceSet * > 
GetAllReferenceSets ()
 Get all the NXOpen::ReferenceSet objects in this part. More...
 
NXOpen::BasePart::CollaborativeContentType GetCollaborativeContentType ()
 The collaborative content type of this part. More...
 
std::vector
< NXOpen::BasePart::HistoryEventInformation
GetHistoryInformation ()
 Get history of part. More...
 
NXOpen::BasePart::IncompleteStatus GetIncompleteStatus ()
 Inquire whether the provided part is flagged as being incomplete. More...
 
NXString GetMakeUniqueName ()
 Gets the Unique name on a part for the Make Unique operation. More...
 
void GetPreviewImage (int *width, int *height, std::vector< int > &pixels)
 Get the preview image This will return the graphic preview image of the part (when available). More...
 
NXOpen::BasePart::TransientStatus GetTransientStatus ()
 Inquire whether the provided part is flagged as being transient. More...
 
NXOpen::Display::GridCollectionGrids ()
 Returns the Display.GridCollection instance belonging to this part
Created in NX6.0.0. More...
 
NXOpen::HyperbolaCollectionHyperbolas ()
 Returns the HyperbolaCollection instance belonging to this part
Created in NX3.0.0. More...
 
NXOpen::Gateway::ImageCaptureManagerImageCaptureManager ()
 Returns the Gateway.ImageCaptureManager instance belonging to this part
Created in NX7.5.0. More...
 
NXOpen::Display::ImageCollectionImages ()
 Returns the Display.ImageCollection instance belonging to this part
Created in NX9.0.0. More...
 
NXOpen::Display::ImageDataCollectionImagesData ()
 Returns the Display.ImageDataCollection instance belonging to this part
Created in NX9.0.0. More...
 
NXOpen::InfiniteLineCollectionInfiniteLines ()
 Returns the InfiniteLineCollection instance belonging to this part
Created in NX7.5.0. More...
 
bool IsFullyLoaded ()
 Returns the load status of a part. More...
 
bool IsReadOnly ()
 Returns the read-only status of a part. More...
 
NXOpen::Layer::CategoryCollectionLayerCategories ()
 Returns a collection of layer categories
Created in NX3.0.0. More...
 
NXOpen::Layer::LayerManagerLayers ()
 Returns the LayerManager for this part
Created in NX3.0.0. More...
 
NXOpen::LayoutCollectionLayouts ()
 Returns the LayoutCollection instance belonging to this part
Created in NX3.0.0. More...
 
NXString Leaf ()
 Returns the leaf name of the part. More...
 
NXOpen::LightCollectionLights ()
 Returns the LightCollection instance belonging to this part
Created in NX3.0.0. More...
 
NXOpen::LineCollectionLines ()
 Returns the LineCollection instance belonging to this part
Created in NX3.0.0. More...
 
NXOpen::PartLoadStatusLoadFeatureDataForSelection ()
 Ensure that feature data is loaded for a part. More...
 
NXOpen::PartLoadStatusLoadFully ()
 Ensures that this part is fully loaded. More...
 
NXOpen::PartLoadStatusLoadThisPartFully ()
 Ensures that this part is fully loaded. More...
 
NXOpen::MaterialManagerMaterialManager ()
 Returns the Material Manager belonging to this Part
Created in NX3.0.0. More...
 
NXOpen::MeasureManagerMeasureManager ()
 Returns the measure manager for this part
Created in NX3.0.0. More...
 
NXOpen::ModelingViewCollectionModelingViews ()
 Returns the ModelingViewCollection instance belonging to this part
Created in NX3.0.0. More...
 
NXOpen::NXMatrixCollectionNXMatrices ()
 Returns the NXMatrixCollection instance belonging to this part
Created in NX3.0.0. More...
 
NXOpen::OffsetCollectionOffsets ()
 Returns the OffsetCollection instance belonging to this part
Created in NX3.0.0. More...
 
NXOpen::Optimization::OptimizationCollectionOptimization ()
 Returns the optimization instance belonging to this part
Created in NX3.0.0. More...
 
NXOpen::ParabolaCollectionParabolas ()
 Returns the ParabolaCollection instance belonging to this part
Created in NX3.0.0. More...
 
NXOpen::BasePart::PartPreview PartPreviewMode ()
 Returns the preview mode
Created in NX3.0.0. More...
 
NXOpen::BasePart::Units PartUnits ()
 Returns the units of the part file. More...
 
NXOpen::PDM::PdmPartPDMPart ()
 Returns the instance of the PDM.PdmPart class
Created in NX3.0.0. More...
 
NXOpen::PlaneCollectionPlanes ()
 Return a collection of Planes
Created in NX3.0.0. More...
 
NXOpen::PlotManagerPlotManager ()
 Returns the PlotManager instance belonging to this part
Created in NX3.0.0. More...
 
NXOpen::PointCollectionPoints ()
 Returns the PointCollection instance belonging to this part
Created in NX3.0.0. More...
 
NXOpen::PolylineCollectionPolylines ()
 Returns the PolylineCollection instance belonging to this part
Created in NX10.0.0. More...
 
NXOpen::Preferences::PartPreferencesPreferences ()
 Returns the PartPreferences instance belonging to this part
Created in NX3.0.0. More...
 
NXOpen::PropertiesManagerPropertiesManager ()
 Returns the PropertiesManager instance belonging to this part
Created in NX8.0.0. More...
 
void RegenerateDisplayFacets (bool regenerateChildren)
 Regenerates display specific cached facets in the part. More...
 
void ReinstateTransience ()
 Reinstate the transient status to the formerly transient input part
Created in NX4.0.0. More...
 
void RemoveTransience ()
 Remove the transient status from the input part
Created in NX4.0.0. More...
 
NXOpen::BasePartReopen (NXOpen::BasePart::CloseWholeTree wholeTree, NXOpen::BasePart::CloseModified closeModified, NXOpen::PartCloseResponses *responses, NXOpen::PartReopenReport **reopenReport)
 Reopens a loaded part. More...
 
NXOpen::BasePartReopenAs (const NXString &fileName, NXOpen::BasePart::CloseModified closeModified, NXOpen::PartCloseResponses *responses, NXOpen::PartReopenReport **reopenReport)
 Reopens a loaded part. More...
 
NXOpen::BasePartReopenAs (const char *fileName, NXOpen::BasePart::CloseModified closeModified, NXOpen::PartCloseResponses *responses, NXOpen::PartReopenReport **reopenReport)
 Reopens a loaded part. More...
 
NXOpen::Validate::RequirementCheckCollectionRequirementChecks ()
 Returns the RequirementCheckCollection instance belonging to this part
Created in NX8.5.0. More...
 
NXOpen::Validate::RequirementCollectionRequirements ()
 Returns the RequirementCollection instance belonging to this part
Created in NX8.5.0. More...
 
void ReverseBlankAll ()
 Reverse blank all the objects in the part. More...
 
NXOpen::RuleManagerRuleManager ()
 Returns the rule manager for this part
Created in NX3.0.0. More...
 
NXOpen::PartSaveStatusSave (NXOpen::BasePart::SaveComponents saveComponentParts, NXOpen::BasePart::CloseAfterSave close)
 Saves the part whether it is modified or not. More...
 
NXOpen::PartSaveStatusSaveAs (const NXString &newFileName)
 Creates copy of target part. More...
 
NXOpen::PartSaveStatusSaveAs (const char *newFileName)
 Creates copy of target part. More...
 
void SaveBookmark (const NXString &fileName, NXOpen::BasePart::BookmarkOption option)
 Saves a bookmark file. More...
 
void SaveBookmark (const char *fileName, NXOpen::BasePart::BookmarkOption option)
 Saves a bookmark file. More...
 
bool SaveDisplayFacets ()
 Returns whether display quality facets are saved in the part file
Created in NX9.0.0. More...
 
NXOpen::PartSaveOptionsSaveOptions ()
 Returns the PartSaveOptions instance belonging to this part
Created in NX3.0.0. More...
 
NXOpen::ScalarCollectionScalars ()
 Returns the ScalarCollection instance belonging to this part
Created in NX3.0.0. More...
 
NXOpen::ScCollectorCollectionScCollectors ()
 Returns the ScCollectorCollection instance belonging to this part
Created in NX3.0.0. More...
 
NXOpen::SectionCollectionSections ()
 Returns the SectionCollection instance belonging to this part
Created in NX3.0.0. More...
 
NXOpen::Display::SelPrefCollectionSelPref ()
 Returns the Display.SelPrefCollection instance belonging to this part
Created in NX3.0.0. More...
 
void SetMakeUniqueName (const NXString &newUniqueName)
 Sets the unique name on part for the Make Unique operation
Created in NX8.0.0. More...
 
void SetMakeUniqueName (const char *newUniqueName)
 Sets the unique name on part for the Make Unique operation
Created in NX8.0.0. More...
 
void SetPartPreviewMode (NXOpen::BasePart::PartPreview mode)
 Sets the preview mode
Created in NX3.0.0. More...
 
void SetSaveDisplayFacets (bool saveDisplayFacets)
 Sets whether display quality facets are saved in the part file
Created in NX9.0.0. More...
 
void SetUniqueIdentifier (const NXString &identifier)
 Sets the unique identifier for this part used to determine whether parts can be quietly substituted during part open. More...
 
void SetUniqueIdentifier (const char *identifier)
 Sets the unique identifier for this part used to determine whether parts can be quietly substituted during part open. More...
 
NXOpen::Display::TrueShadingCollectionSHEDObjs ()
 Returns the Display.TrueShadingCollection instance belonging to this part
Created in NX3.0.0. More...
 
NXOpen::SplineCollectionSplines ()
 Returns the SplineCollection instance belonging to this part
Created in NX5.0.0. More...
 
NXOpen::Display::TrueStudioCollectionTrueStudioObjs ()
 Returns the Display.TrueStudioCollection instance belonging to this part
Created in NX8.0.0. More...
 
NXString UniqueIdentifier ()
 Returns the unique identifier for this part used to determine whether parts can be quietly substituted during part open. More...
 
NXOpen::UnitCollectionUnitCollection ()
 Returns a collection of Units
Created in NX3.0.0. More...
 
NXOpen::UserDefinedObjects::UserDefinedObjectManagerUserDefinedObjectManager ()
 Returns the NXOpen::UserDefinedObjects::UserDefinedObjectManager belonging to this session
Created in NX3.0.0. More...
 
NXOpen::ValidationCollectionValidations ()
 Returns the validation for this part
Created in NX3.0.0. More...
 
NXOpen::ViewCollectionViews ()
 Returns the ViewCollection instance belonging to this part
Created in NX3.0.0. More...
 
NXOpen::WCSWCS ()
 Returns the WCS instance belonging to this part
Created in NX3.0.0. More...
 
NXOpen::XformCollectionXforms ()
 Returns the XformCollection instance belonging to this part
Created in NX3.0.0. More...
 
- Public Member Functions inherited from NXOpen::NXObject
void DeleteAllAttributesByType (NXOpen::NXObject::AttributeType type)
 Deletes all attributes of a specific type. More...
 
void DeleteAllAttributesByType (NXOpen::NXObject::AttributeType type, NXOpen::Update::Option option)
 Deletes all attributes of a specific type with the option to update or not. More...
 
void DeleteAttributeByTypeAndTitle (NXOpen::NXObject::AttributeType type, const NXString &title)
 Deletes an attribute by type and title. More...
 
void DeleteAttributeByTypeAndTitle (NXOpen::NXObject::AttributeType type, const char *title)
 Deletes an attribute by type and title. More...
 
void DeleteAttributeByTypeAndTitle (NXOpen::NXObject::AttributeType type, const NXString &title, NXOpen::Update::Option option)
 Deletes an attribute by type and title with the option to update or not. More...
 
void DeleteAttributeByTypeAndTitle (NXOpen::NXObject::AttributeType type, const char *title, NXOpen::Update::Option option)
 Deletes an attribute by type and title with the option to update or not. More...
 
void DeleteUserAttribute (NXOpen::NXObject::AttributeType type, const NXString &title, bool deleteEntireArray, NXOpen::Update::Option option)
 Deletes the first attribute encountered with the given Type, Title. More...
 
void DeleteUserAttribute (NXOpen::NXObject::AttributeType type, const char *title, bool deleteEntireArray, NXOpen::Update::Option option)
 Deletes the first attribute encountered with the given Type, Title. More...
 
void DeleteUserAttributes (NXOpen::NXObject::AttributeType type, NXOpen::Update::Option option)
 Deletes the attributes encountered with the given Type with option to update or not. More...
 
virtual NXOpen::INXObjectFindObject (const NXString &journalIdentifier)
 Finds the NXOpen::NXObject with the given identifier as recorded in a journal. More...
 
virtual NXOpen::INXObjectFindObject (const char *journalIdentifier)
 Finds the NXOpen::NXObject with the given identifier as recorded in a journal. More...
 
std::vector
< NXOpen::NXObject::AttributeInformation
GetAttributeTitlesByType (NXOpen::NXObject::AttributeType type)
 Gets all the attribute titles of a specific type. More...
 
bool GetBooleanUserAttribute (const NXString &title, int index)
 Gets a boolean attribute by Title and array Index. More...
 
bool GetBooleanUserAttribute (const char *title, int index)
 Gets a boolean attribute by Title and array Index. More...
 
NXOpen::NXObject::ComputationalTime GetComputationalTimeUserAttribute (const NXString &title, int index)
 Gets a time attribute by Title and array Index. More...
 
NXOpen::NXObject::ComputationalTime GetComputationalTimeUserAttribute (const char *title, int index)
 Gets a time attribute by Title and array Index. More...
 
int GetIntegerAttribute (const NXString &title)
 Gets an integer attribute by title. More...
 
int GetIntegerAttribute (const char *title)
 Gets an integer attribute by title. More...
 
int GetIntegerUserAttribute (const NXString &title, int index)
 Gets an integer attribute by Title and array Index. More...
 
int GetIntegerUserAttribute (const char *title, int index)
 Gets an integer attribute by Title and array Index. More...
 
double GetRealAttribute (const NXString &title)
 Gets a real attribute by title. More...
 
double GetRealAttribute (const char *title)
 Gets a real attribute by title. More...
 
double GetRealUserAttribute (const NXString &title, int index)
 Gets a real attribute by Title and array Index. More...
 
double GetRealUserAttribute (const char *title, int index)
 Gets a real attribute by Title and array Index. More...
 
NXString GetReferenceAttribute (const NXString &title)
 Gets the reference string (not the calculated value) of a string attribute that uses a reference string. More...
 
NXString GetReferenceAttribute (const char *title)
 Gets the reference string (not the calculated value) of a string attribute that uses a reference string. More...
 
NXString GetStringAttribute (const NXString &title)
 Gets a string attribute value by title. More...
 
NXString GetStringAttribute (const char *title)
 Gets a string attribute value by title. More...
 
NXString GetStringUserAttribute (const NXString &title, int index)
 Gets a string attribute by Title and array Index. More...
 
NXString GetStringUserAttribute (const char *title, int index)
 Gets a string attribute by Title and array Index. More...
 
NXString GetTimeAttribute (NXOpen::NXObject::DateAndTimeFormat format, const NXString &title)
 Gets a time attribute by title. More...
 
NXString GetTimeAttribute (NXOpen::NXObject::DateAndTimeFormat format, const char *title)
 Gets a time attribute by title. More...
 
NXString GetTimeUserAttribute (const NXString &title, int index)
 Gets a time attribute by Title and array Index. More...
 
NXString GetTimeUserAttribute (const char *title, int index)
 Gets a time attribute by Title and array Index. More...
 
NXOpen::NXObject::AttributeInformation GetUserAttribute (const NXString &title, NXOpen::NXObject::AttributeType type, int index)
 Gets the first attribute encountered on the object, if any, with a given Title, Type and array Index. More...
 
NXOpen::NXObject::AttributeInformation GetUserAttribute (const char *title, NXOpen::NXObject::AttributeType type, int index)
 Gets the first attribute encountered on the object, if any, with a given Title, Type and array Index. More...
 
std::vector
< NXOpen::NXObject::AttributeInformation
GetUserAttribute (const NXString &title, bool includeUnset, bool addStringValues, NXOpen::NXObject::AttributeType type)
 Gets the first attribute (or attribute array) encountered on the object, if any, with a given Title and Type. More...
 
std::vector
< NXOpen::NXObject::AttributeInformation
GetUserAttribute (const char *title, bool includeUnset, bool addStringValues, NXOpen::NXObject::AttributeType type)
 Gets the first attribute (or attribute array) encountered on the object, if any, with a given Title and Type. More...
 
NXString GetUserAttributeAsString (const NXString &title, NXOpen::NXObject::AttributeType type, int index)
 Gets the first attribute encountered on the object, if any, with a given title, type and array index. More...
 
NXString GetUserAttributeAsString (const char *title, NXOpen::NXObject::AttributeType type, int index)
 Gets the first attribute encountered on the object, if any, with a given title, type and array index. More...
 
int GetUserAttributeCount (NXOpen::NXObject::AttributeType type)
 Gets the count of set attributes on the object, if any, of the given type. More...
 
int GetUserAttributeCount (NXOpen::NXObject::AttributeType type, bool includeUnset, bool countArrayAsOneAttribute)
 Gets the count of attributes on the object, if any, of the given type. More...
 
bool GetUserAttributeLock (const NXString &title, NXOpen::NXObject::AttributeType type)
 Determine the lock of the given attribute. More...
 
bool GetUserAttributeLock (const char *title, NXOpen::NXObject::AttributeType type)
 Determine the lock of the given attribute. More...
 
std::vector
< NXOpen::NXObject::AttributeInformation
GetUserAttributes ()
 Gets all the attributes that have been set on the given object. More...
 
std::vector
< NXOpen::NXObject::AttributeInformation
GetUserAttributes (bool includeUnset)
 Gets all the attributes of the given object. More...
 
std::vector
< NXOpen::NXObject::AttributeInformation
GetUserAttributes (bool includeUnset, bool addStringValues)
 Gets all the attributes of the given object. More...
 
std::vector< NXStringGetUserAttributesAsStrings ()
 Gets all the attributes that have been set on the given object. More...
 
int GetUserAttributeSize (const NXString &title, NXOpen::NXObject::AttributeType type)
 Gets the size of the first attribute encountered on the object, if any, with a given Title and Type. More...
 
int GetUserAttributeSize (const char *title, NXOpen::NXObject::AttributeType type)
 Gets the size of the first attribute encountered on the object, if any, with a given Title and Type. More...
 
std::vector< NXOpen::NXObject * > GetUserAttributeSourceObjects ()
 Returns an array of objects from which this object presents attributes. More...
 
bool HasUserAttribute (const NXString &title, NXOpen::NXObject::AttributeType type, int index)
 Determines if an attribute with the given Title, Type and array Index is present on the object Unset attributes will not be detected by this function, as its purpose is to test for the actual presence of the attribute on the object. More...
 
bool HasUserAttribute (const char *title, NXOpen::NXObject::AttributeType type, int index)
 Determines if an attribute with the given Title, Type and array Index is present on the object Unset attributes will not be detected by this function, as its purpose is to test for the actual presence of the attribute on the object. More...
 
virtual bool IsOccurrence ()
 Returns whether this object is an occurrence or not. More...
 
virtual NXString JournalIdentifier ()
 Returns the identifier that would be recorded in a journal for this object. More...
 
virtual NXString Name ()
 Returns the custom name of the object. More...
 
virtual
NXOpen::Assemblies::Component
OwningComponent ()
 Returns the owning component, if this object is an occurrence. More...
 
virtual NXOpen::BasePartOwningPart ()
 Returns the owning part of this object
Created in NX3.0.0. More...
 
virtual void Print ()
 Prints a representation of this object to the system log file. More...
 
virtual NXOpen::INXObjectPrototype ()
 Returns the prototype of this object if it is an occurrence. More...
 
void SetAttribute (const NXString &title, int value)
 Creates or modifies an integer attribute. More...
 
void SetAttribute (const char *title, int value)
 Creates or modifies an integer attribute. More...
 
void SetAttribute (const NXString &title, int value, NXOpen::Update::Option option)
 Creates or modifies an integer attribute with the option to update or not. More...
 
void SetAttribute (const char *title, int value, NXOpen::Update::Option option)
 Creates or modifies an integer attribute with the option to update or not. More...
 
void SetAttribute (const NXString &title, double value)
 Creates or modifies a real attribute. More...
 
void SetAttribute (const char *title, double value)
 Creates or modifies a real attribute. More...
 
void SetAttribute (const NXString &title, double value, NXOpen::Update::Option option)
 Creates or modifies a real attribute with the option to update or not. More...
 
void SetAttribute (const char *title, double value, NXOpen::Update::Option option)
 Creates or modifies a real attribute with the option to update or not. More...
 
void SetAttribute (const NXString &title, const NXString &value)
 Creates or modifies a string attribute. More...
 
void SetAttribute (const char *title, const char *value)
 Creates or modifies a string attribute. More...
 
void SetAttribute (const NXString &title, const NXString &value, NXOpen::Update::Option option)
 Creates or modifies a string attribute with the option to update or not. More...
 
void SetAttribute (const char *title, const char *value, NXOpen::Update::Option option)
 Creates or modifies a string attribute with the option to update or not. More...
 
void SetAttribute (const NXString &title)
 Creates or modifies a null attribute which is an attribute with a title and no value. More...
 
void SetAttribute (const char *title)
 Creates or modifies a null attribute which is an attribute with a title and no value. More...
 
void SetAttribute (const NXString &title, NXOpen::Update::Option option)
 Creates or modifies a null attribute with the option to update or not. More...
 
void SetAttribute (const char *title, NXOpen::Update::Option option)
 Creates or modifies a null attribute with the option to update or not. More...
 
void SetBooleanUserAttribute (const NXString &title, int index, bool value, NXOpen::Update::Option option)
 Creates or modifies a boolean attribute with the option to update or not. More...
 
void SetBooleanUserAttribute (const char *title, int index, bool value, NXOpen::Update::Option option)
 Creates or modifies a boolean attribute with the option to update or not. More...
 
virtual void SetName (const NXString &name)
 Sets the custom name of the object. More...
 
virtual void SetName (const char *name)
 Sets the custom name of the object. More...
 
void SetReferenceAttribute (const NXString &title, const NXString &value)
 Creates or modifies a string attribute which uses a reference string. More...
 
void SetReferenceAttribute (const char *title, const char *value)
 Creates or modifies a string attribute which uses a reference string. More...
 
void SetReferenceAttribute (const NXString &title, const NXString &value, NXOpen::Update::Option option)
 Creates or modifies a string attribute which uses a reference string, with the option to update or not. More...
 
void SetReferenceAttribute (const char *title, const char *value, NXOpen::Update::Option option)
 Creates or modifies a string attribute which uses a reference string, with the option to update or not. More...
 
void SetTimeAttribute (const NXString &title, const NXString &value)
 Creates or modifies a time attribute. More...
 
void SetTimeAttribute (const char *title, const char *value)
 Creates or modifies a time attribute. More...
 
void SetTimeAttribute (const NXString &title, const NXString &value, NXOpen::Update::Option option)
 Creates or modifies a time attribute with the option to update or not. More...
 
void SetTimeAttribute (const char *title, const char *value, NXOpen::Update::Option option)
 Creates or modifies a time attribute with the option to update or not. More...
 
void SetTimeUserAttribute (const NXString &title, int index, const NXString &value, NXOpen::Update::Option option)
 Creates or modifies a time attribute with the option to update or not. More...
 
void SetTimeUserAttribute (const char *title, int index, const char *value, NXOpen::Update::Option option)
 Creates or modifies a time attribute with the option to update or not. More...
 
void SetTimeUserAttribute (const NXString &title, int index, const NXOpen::NXObject::ComputationalTime &value, NXOpen::Update::Option option)
 Creates or modifies a time attribute with the option to update or not. More...
 
void SetTimeUserAttribute (const char *title, int index, const NXOpen::NXObject::ComputationalTime &value, NXOpen::Update::Option option)
 Creates or modifies a time attribute with the option to update or not. More...
 
void SetUserAttribute (const NXOpen::NXObject::AttributeInformation &info, NXOpen::Update::Option option)
 Creates or modifies an attribute with the option to update or not. More...
 
void SetUserAttribute (const NXString &title, int index, int value, NXOpen::Update::Option option)
 Creates or modifies an integer attribute with the option to update or not. More...
 
void SetUserAttribute (const char *title, int index, int value, NXOpen::Update::Option option)
 Creates or modifies an integer attribute with the option to update or not. More...
 
void SetUserAttribute (const NXString &title, int index, double value, NXOpen::Update::Option option)
 Creates or modifies a real attribute with the option to update or not. More...
 
void SetUserAttribute (const char *title, int index, double value, NXOpen::Update::Option option)
 Creates or modifies a real attribute with the option to update or not. More...
 
void SetUserAttribute (const NXString &title, int index, const NXString &value, NXOpen::Update::Option option)
 Creates or modifies a string attribute with the option to update or not. More...
 
void SetUserAttribute (const char *title, int index, const char *value, NXOpen::Update::Option option)
 Creates or modifies a string attribute with the option to update or not. More...
 
void SetUserAttribute (const NXString &title, int index, NXOpen::Update::Option option)
 Creates or modifies a null attribute with the option to update or not. More...
 
void SetUserAttribute (const char *title, int index, NXOpen::Update::Option option)
 Creates or modifies a null attribute with the option to update or not. More...
 
void SetUserAttributeLock (const NXString &title, NXOpen::NXObject::AttributeType type, bool lock)
 Lock or unlock the given attribute. More...
 
void SetUserAttributeLock (const char *title, NXOpen::NXObject::AttributeType type, bool lock)
 Lock or unlock the given attribute. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents an NX part of type .prt.


Use the NXOpen::PartCollection class to load or create a part.

Created in NX3.0.0.

Member Enumeration Documentation

The part family attribute types.


Deprecated:
Deprecated in NX9.0.0. Use NXOpen::PartFamily::FamilyAttribute::AttrType instead


Created in NX6.0.0.

Enumerator
PartFamilyAttrTypeNumericType 

numeric attribute

PartFamilyAttrTypeIntegerType 

integer attribute

PartFamilyAttrTypeDoubleType 

double attribute

PartFamilyAttrTypeStringType 

string attribute

PartFamilyAttrTypePartType 

part attribute

PartFamilyAttrTypeNameType 

name attribute

PartFamilyAttrTypeInstanceType 

instance attribute

PartFamilyAttrTypeExpressionType 

expression attribute

PartFamilyAttrTypeMirrorType 

mirror attribute

PartFamilyAttrTypeDensityType 

density attribute

PartFamilyAttrTypeFeatureType 

feature attribute

The relations of the part file.


Created in NX8.0.0.

Enumerator
RelationsStandalone 

no master model support

RelationsReferenceExisting 

Master model support.

RelationsMix 

support any one of relation

The units of the part file.

Enumerator
UnitsInches 

inches

UnitsMillimeters 

millimeters

UnitsMix 

mix

Member Function Documentation

NXOpen::Annotations::AnnotationManager* NXOpen::Part::Annotations ( )

Returns the AnnotationManager for part
Created in NX3.0.0.


NXOpen::GeometricUtilities::BlendStopshortBuilderCollection* NXOpen::Part::BlendStopshortBuilder ( )

Returns the BlendStopshortBuilderCollection instance belonging to this part
Created in NX5.0.0.


NXOpen::BodyCollection* NXOpen::Part::Bodies ( )

Returns the BodyCollection instance belonging to this part
Created in NX3.0.0.


NXOpen::Tooling::CAMDataManager* NXOpen::Part::CAMDataManager ( )

Returns the Tooling.CAMDataManager for this part
Created in NX9.0.0.


NXOpen::GeometricUtilities::CAMDataPrepManager* NXOpen::Part::CAMDataPrepManager ( )

Returns the CAMDataPrepManager instance belonging to this part
Created in NX9.0.0.


NXOpen::CAM::CAMSetup* NXOpen::Part::CAMSetup ( )

Returns the CAM setup of the work part
Created in NX4.0.0.



License requirements : cam_base ("CAM BASE")

NXOpen::ClipboardOperationsManager* NXOpen::Part::ClipboardOperationsManager ( )

Returns the ClipboardOperations manager for this part
Created in NX5.0.0.


NXOpen::Layout2d::ComponentCollection* NXOpen::Part::Component2dCollection ( )

Returns the ComponentCollection instance belonging to this part
Created in NX9.0.0.


NXOpen::Layout2d::ComponentDefinitionCollection* NXOpen::Part::ComponentDefinitions ( )

Returns the ComponentDefinitionCollection instance belonging to this part
Created in NX9.0.0.


NXOpen::Assemblies::ComponentGroupCollection* NXOpen::Part::ComponentGroups ( )

Returns the collection of ComponentGroups for this part
Created in NX5.0.0.


void NXOpen::Part::ConvertPreNX9CompoundWelds ( )

Convert any existing pre-NX9 Compound Weld User Defined Objects to NX features.


Created in NX9.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

NXOpen::GeometricUtilities::BoundingObjectBuilder* NXOpen::Part::CreateBoundingObjectBuilder ( )

Creates an NXOpen::GeometricUtilities::BoundingObjectBuilder object.

Returns

Created in NX7.5.0.

License requirements : solid_modeling ("SOLIDS MODELING")
NXOpen::CAM::CAMSetup* NXOpen::Part::CreateCamSetup ( const NXString templateName)

Creates CAM setup.

Returns
the created cam setup
Created in NX4.0.0.

License requirements : cam_base ("CAM BASE")
Parameters
templateNamethe name of the template type
NOTE: The full Unicode character set is not supported for this parameter.
NXOpen::CAM::CAMSetup* NXOpen::Part::CreateCamSetup ( const char *  templateName)

Creates CAM setup.

Returns
the created cam setup
Created in NX4.0.0.

License requirements : cam_base ("CAM BASE")
Parameters
templateNamethe name of the template type
NOTE: The full Unicode character set is not supported for this parameter.
NXOpen::GeometricUtilities::BlendSetbackBuilder* NXOpen::Part::CreateEmptyBlendSetbackBuilder ( )

Creates a NXOpen::GeometricUtilities::BlendSetbackBuilder object.

Returns
New empty object
Created in NX9.0.0.

License requirements : None
NXOpen::GeometricUtilities::BoundaryDefinitionBuilder* NXOpen::Part::CreateEmptyBoundaryDefinitionBuilder ( )

Creates boundary definition builder object.

Returns

Created in NX7.5.0.

License requirements : studio_free_form ("STUDIO FREE FORM")
NXOpen::ExpressionCollectorSet* NXOpen::Part::CreateEmptyExpressionCollectorSet ( )

Creates an empty ExpressionCollectorSet item.

Returns
New ExpressionCollectorSet object
Created in NX5.0.0.

License requirements : None
NXOpen::ExpressionSectionSet* NXOpen::Part::CreateEmptyExpressionSectionSet ( )

Creates an empty ExpressionSectionSet item.

Returns
New ExpressionSectionSet object
Created in NX5.0.0.

License requirements : None
NXOpen::RegionPoint* NXOpen::Part::CreateEmptyRegionPoint ( )

Creates an empty item that contains a point and its corresponding body context for a region.

Returns
New empty Region point object
Created in NX5.0.0.

License requirements : None
NXOpen::GeometricUtilities::TransitionCurveBuilder* NXOpen::Part::CreateEmptyTransitionCurveBuilder ( )

Creates a NXOpen::GeometricUtilities::TransitionCurveBuilder object.

Returns
New empty object
Created in NX9.0.0.

License requirements : None
NXOpen::GeometricUtilities::TwoExpressionsCollectorSet* NXOpen::Part::CreateEmptyTwoExpressionsCollectorSet ( )

Creates an empty TwoExpressionCollectorSet item that contains a NXOpen::ScCollector collection and two corresponding expressions.

Returns
New TwoExpressionsCollectorSet object
Created in NX8.5.0.

License requirements : None
NXOpen::GeometricUtilities::TwoExpressionsSectionSet* NXOpen::Part::CreateEmptyTwoExpressionsSectionSet ( )

Creates an empty TwoExpressionSectionSet item that contains a NXOpen::Section section and two corresponding expressions.

Returns
New TwoExpressionsSectionSet object
Created in NX9.0.0.

License requirements : None
NXOpen::ExpressionCollectorSet* NXOpen::Part::CreateExpressionCollectorSet ( NXOpen::ScCollector collector,
const NXString value,
const NXString unitsType,
int  index 
)

Creates an ExpressionCollectorSet item that contains a NXOpen::ScCollector collection and a corresponding expression.

Returns
New ExpressionCollectorSet object
Created in NX5.0.0.

License requirements : None
Parameters
collectorSelection object
valueinitial expression string
unitsTypeunits of expression
indexThis parameter has no effect, and is ignored
NXOpen::ExpressionCollectorSet* NXOpen::Part::CreateExpressionCollectorSet ( NXOpen::ScCollector collector,
const char *  value,
const char *  unitsType,
int  index 
)

Creates an ExpressionCollectorSet item that contains a NXOpen::ScCollector collection and a corresponding expression.

Returns
New ExpressionCollectorSet object
Created in NX5.0.0.

License requirements : None
Parameters
collectorSelection object
valueinitial expression string
unitsTypeunits of expression
indexThis parameter has no effect, and is ignored
NXOpen::ExpressionSectionSet* NXOpen::Part::CreateExpressionSectionSet ( NXOpen::Section section,
const NXString value,
const NXString unitsType,
int  index 
)

Creates an ExpressionSectionSet item that contains a NXOpen::Section collection and a corresponding expression.

Returns
New ExpressionSectionSet object
Created in NX5.0.0.

License requirements : None
Parameters
sectionSection object
valueinitial expression string
unitsTypeunits of expression
indexThis parameter has no effect, and is ignored
NXOpen::ExpressionSectionSet* NXOpen::Part::CreateExpressionSectionSet ( NXOpen::Section section,
const char *  value,
const char *  unitsType,
int  index 
)

Creates an ExpressionSectionSet item that contains a NXOpen::Section collection and a corresponding expression.

Returns
New ExpressionSectionSet object
Created in NX5.0.0.

License requirements : None
Parameters
sectionSection object
valueinitial expression string
unitsTypeunits of expression
indexThis parameter has no effect, and is ignored
NXOpen::CAM::InspectionSetup* NXOpen::Part::CreateInspectionSetup ( const NXString templateName)

Creates CMM Inspection setup.

Returns
the created CMM Inspection setup
Created in NX7.0.0.

License requirements : insp_programming ("INSPECTION PROGRAMMING")
Parameters
templateNamethe name of the template type
NOTE: The full Unicode character set is not supported for this parameter.
NXOpen::CAM::InspectionSetup* NXOpen::Part::CreateInspectionSetup ( const char *  templateName)

Creates CMM Inspection setup.

Returns
the created CMM Inspection setup
Created in NX7.0.0.

License requirements : insp_programming ("INSPECTION PROGRAMMING")
Parameters
templateNamethe name of the template type
NOTE: The full Unicode character set is not supported for this parameter.
NXOpen::SIM::KinematicConfigurator* NXOpen::Part::CreateKinematicConfigurator ( )

Create an instance of NXOpen::SIM::KinematicConfigurator class that will be used to manage all Machine tool Builder and Configurator objects.

Returns
The new Machine Tool Configurator
Created in NX7.5.0.

License requirements : ug_isv_full ("Full functionality for Integrated Simulation and Verification") OR nx_isv_mtb ("Machine Tool Builder") OR resource_manager_nx ("Teamcenter Resource Manager")
NXOpen::ObjectList* NXOpen::Part::CreateObjectList ( )

Creates an empty list that can be populated with any NXObject.

Returns
ObjectList object
Created in NX4.0.0.

License requirements : None
NXOpen::PartFamilyManager* NXOpen::Part::CreatePartFamily ( const std::vector< NXOpen::Part::PartFamilyAttributeData > &  attributeData,
NXOpen::PartFamilyMemberData memberData 
)

Create a part family of the part.

Returns
the new NXOpen::PartFamilyManager instance
Deprecated:
Deprecated in NX9.0.0. Use NXOpen::PartFamily::TemplateManager::CreatePartFamily instead


Created in NX6.0.0.

License requirements : None

Parameters
attributeDatathe attributes data
memberDatathe member data
NXOpen::GeometricUtilities::PointSetAlignmentBuilder* NXOpen::Part::CreatePointSetAlignmentBuilder ( )

Creates point set alignment builder object.

Returns

Created in NX7.5.0.

License requirements : studio_free_form ("STUDIO FREE FORM")
NXOpen::GeometricUtilities::PointsFromFileBuilder* NXOpen::Part::CreatePointsFromFileBuilder ( )

Creates a NXOpen::GeometricUtilities::PointsFromFileBuilder object.

Returns
New empty object
Created in NX8.5.0.

License requirements : None
NXOpen::RegionPoint* NXOpen::Part::CreateRegionPoint ( NXOpen::Point point,
NXOpen::Body body 
)

Creates an item that contains a point and its corresponding body context for a region.

Returns
Region point object
Created in NX5.0.0.

License requirements : None
Parameters
pointPoint object
bodyBody context object for point
NXOpen::GeometricUtilities::SelectionList* NXOpen::Part::CreateSelectionList ( )

Creates a NXOpen::GeometricUtilities::SelectionList object.

Returns

Created in NX8.0.0.

License requirements : None
NXOpen::GeometricUtilities::TwoExpressionsCollectorSet* NXOpen::Part::CreateTwoExpressionsCollectorSet ( NXOpen::ScCollector collector,
const NXString value,
const NXString valueTwo,
const NXString unitsType,
int  index 
)

Creates an TwoExpressionCollectorSet item that contains a NXOpen::ScCollector collection and two corresponding expressions.

Returns
New TwoExpressionsCollectorSet object
Created in NX8.5.0.

License requirements : None
Parameters
collectorSelection object
valueinitial expression string
valueTwoinitial expression string for second expression
unitsTypeunits of expression
indexThis parameter has no effect, and is ignored
NXOpen::GeometricUtilities::TwoExpressionsCollectorSet* NXOpen::Part::CreateTwoExpressionsCollectorSet ( NXOpen::ScCollector collector,
const char *  value,
const char *  valueTwo,
const char *  unitsType,
int  index 
)

Creates an TwoExpressionCollectorSet item that contains a NXOpen::ScCollector collection and two corresponding expressions.

Returns
New TwoExpressionsCollectorSet object
Created in NX8.5.0.

License requirements : None
Parameters
collectorSelection object
valueinitial expression string
valueTwoinitial expression string for second expression
unitsTypeunits of expression
indexThis parameter has no effect, and is ignored
NXOpen::GeometricUtilities::TwoExpressionsSectionSet* NXOpen::Part::CreateTwoExpressionsSectionSet ( NXOpen::Section section,
const NXString value,
const NXString valueTwo,
const NXString unitsType,
int  index 
)

Creates an TwoExpressionSectionSet item that contains a NXOpen::Section section and two corresponding expressions.

Returns
New TwoExpressionsSectionSet object
Created in NX9.0.0.

License requirements : None
Parameters
sectionSelection object
valueinitial expression string for first expression
valueTwoinitial expression string for second expression
unitsTypeunits of expression
indexThis parameter has no effect, and is ignored
NXOpen::GeometricUtilities::TwoExpressionsSectionSet* NXOpen::Part::CreateTwoExpressionsSectionSet ( NXOpen::Section section,
const char *  value,
const char *  valueTwo,
const char *  unitsType,
int  index 
)

Creates an TwoExpressionSectionSet item that contains a NXOpen::Section section and two corresponding expressions.

Returns
New TwoExpressionsSectionSet object
Created in NX9.0.0.

License requirements : None
Parameters
sectionSelection object
valueinitial expression string for first expression
valueTwoinitial expression string for second expression
unitsTypeunits of expression
indexThis parameter has no effect, and is ignored
NXOpen::GeometricUtilities::WaveLinkRepository* NXOpen::Part::CreateWavelinkRepository ( )

Create the link repository to handle interpart selection.

Returns

Created in NX6.0.0.

License requirements : None
NXOpen::Features::Feature* NXOpen::Part::CurrentFeature ( )

Returns the current feature.


Created in NX3.0.0.

License requirements : None

NXOpen::CutViewCollection* NXOpen::Part::CutViews ( )

Returns the CutViewCollection instance belonging to this part
Created in NX3.0.0.


void NXOpen::Part::DeleteCamSetup ( )

Delete CAM setup
Created in NX4.0.0.



License requirements : cam_base ("CAM BASE")

void NXOpen::Part::DeleteInspectionSetup ( )

Delete CMM Inspection setup
Created in NX7.0.0.



License requirements : insp_programming ("INSPECTION PROGRAMMING")

void NXOpen::Part::DeleteRetainedDraftingObjectsInCurrentLayout ( )

Deletes all retained drafting objects in the current layout of part that are currently in the "retained" state.


Created in NX3.0.0.

License requirements : None

NXOpen::Diagramming::DiagrammingManager* NXOpen::Part::DiagrammingManager ( )

Returns the DiagrammingManager instance belonging to this part
Created in NX10.0.0.


NXOpen::Die::DieSimCollection* NXOpen::Part::DieSimData ( )

Returns the Die.DieSimCollection instance belonging to this part
Created in NX3.0.0.


NXOpen::Annotations::DimensionCollection* NXOpen::Part::Dimensions ( )

Returns the DimensionCollection instance belonging to this part
Created in NX3.0.0.


NXOpen::Positioning::DisplayedConstraintCollection* NXOpen::Part::DisplayedConstraints ( )

Returns the DisplayedConstraintCollection belonging to this part
Created in NX7.5.0.


NXOpen::DraftingManager* NXOpen::Part::Drafting ( )

Returns the DraftingManager for part
Created in NX3.0.0.


NXOpen::Drafting::DraftingApplicationManager* NXOpen::Part::DraftingManager ( )

Returns the DraftingApplicationManager for part
Created in NX7.5.0.


NXOpen::Drawings::DraftingViewCollection* NXOpen::Part::DraftingViews ( )

Returns the DraftingViewCollection instance belonging to this part
Created in NX3.0.0.


NXOpen::DraftPointDataCollection* NXOpen::Part::DraftPointData ( )

Returns the collection of DraftPointData
Created in NX3.0.0.


NXOpen::DrawingCompareManager* NXOpen::Part::DrawingCompare ( )

Returns the DraftingManager for part
Created in NX7.5.0.


NXOpen::Drawings::DrawingSheetCollection* NXOpen::Part::DrawingSheets ( )

Returns the DrawingSheetCollection instance belonging to this part
Created in NX3.0.0.


NXOpen::GeometricUtilities::FacePlaneSelectionBuilderCollection* NXOpen::Part::FacePlaneSelectionBuilderData ( )

Returns the FacePlaneSelectionBuilderCollection instance belonging to this part
Created in NX6.0.0.


NXOpen::GeometricUtilities::FaceSetDataCollection* NXOpen::Part::FaceSetData ( )

Returns the FaceSetDataCollection instance belonging to this part
Created in NX5.0.0.


NXOpen::GeometricUtilities::FaceSetOffsetCollection* NXOpen::Part::FaceSetOffsets ( )

Returns the FaceSetOffsets instance belonging to this part
Created in NX3.0.0.


NXOpen::Facet::FacetedBodyCollection* NXOpen::Part::FacetedBodies ( )

Returns the FacetedBodyCollection instance belonging to this part
Created in NX5.0.0.


NXOpen::Features::FeatureCollection* NXOpen::Part::Features ( )

Returns the FeatureCollection instance belonging to this part
Created in NX3.0.0.


NXOpen::Mechatronics::GanttCollection* NXOpen::Part::GanttCollection ( )

Returns the GanttCollection instance belonging to this part
Created in NX7.5.1.


NXOpen::Mechatronics::GanttLinkerCollection* NXOpen::Part::GanttLinkerCollection ( )

Returns the GanttLinkerCollection instance belonging to this part
Created in NX10.0.0.


NXOpen::Annotations::GdtCollection* NXOpen::Part::Gdts ( )

Returns a collection of GDTs
Created in NX3.0.0.


NXOpen::GeometricUtilities::GeometryLocationDataCollection* NXOpen::Part::GeometryLocationData ( )

Returns the GeometryLocationDataCollection instance belonging to this part
Created in NX5.0.0.


NXOpen::PartFamily::Instance* NXOpen::Part::GetFamilyInstance ( )

Obtains the NXOpen::PartFamily::Instance from part.

Returns

Created in NX9.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")
std::vector<NXOpen::Part *> NXOpen::Part::GetInterpartChildren ( )

Returns a list of child parts in the current session that contain interpart geometry.

Returns

Created in NX3.0.0.

License requirements : None
std::vector<NXOpen::Part *> NXOpen::Part::GetInterpartParents ( )

Returns a list of parts in the current session that contain the defining geometry for linked geometry in this part.

Returns

Created in NX3.0.0.

License requirements : None
NXOpen::PartFamilyManager* NXOpen::Part::GetPartFamilyManager ( )

Create an instance of a NXOpen::PartFamilyManager class that will be used to edit part family of the part.

Returns
the new NXOpen::PartFamilyManager instance
Deprecated:
Deprecated in NX9.0.0. Use NXOpen::Part::NewPartFamilyTemplateManager instead


Created in NX6.0.0.

License requirements : None

std::vector<NXOpen::Part::FeatureUpdateStatus> NXOpen::Part::GetUpdateStatusReport ( int *  numFailed)

Get feature update status report.

Returns
list of affected features
Created in NX3.0.0.

License requirements : None
Parameters
numFailednumber of failed features
bool NXOpen::Part::HasReuseTemplate ( )

Returns the indicator that the part contains a reuse template.


Created in NX6.0.0.

License requirements : None

NXOpen::ImportManager* NXOpen::Part::ImportManager ( )

Returns the import manager for this part
Created in NX5.0.0.


NXOpen::CAM::InspectionSetup* NXOpen::Part::InspectionSetup ( )

Returns the CMM Inspection setup of the work part
Created in NX7.0.0.



License requirements : insp_programming ("INSPECTION PROGRAMMING")

bool NXOpen::Part::IsBookletPart ( )

Returns the status on whether input part is bookletPart or not a bookletPart.


Created in NX8.0.0.

License requirements : None

NXOpen::SIM::KinematicConfigurator* NXOpen::Part::KinematicConfigurator ( )

Returns the NXOpen::SIM::KinematicConfigurator instance of the work part
Created in NX7.5.0.



License requirements : None

NXOpen::Annotations::LabelCollection* NXOpen::Part::Labels ( )

Returns a collection of labels
Created in NX3.0.0.


NXOpen::Layout2d::LocalDefinitionFolderCollection* NXOpen::Part::LocalDefinitionFolders ( )

Returns the LocalDefinitionFolderCollection instance belonging to this part
Created in NX9.0.0.


NXOpen::GeometricUtilities::LocalUntrimManager* NXOpen::Part::LocalUntrimManager ( )

Obtains the LocalUntrimManager instance belonging to this part
Created in NX9.0.0.


void NXOpen::Part::MakeAllFeaturesInactive ( )

Makes all the features of the part inactive
Created in NX7.5.4.



License requirements : solid_modeling ("SOLIDS MODELING")

void NXOpen::Part::MakeNoPartModuleActive ( )

Deactivates any part module that is active in the given part.


Created in NX8.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

NXOpen::Motion::MarkerCollection* NXOpen::Part::Markers ( )

Return a collection of Markers
Created in NX3.0.0.


NXOpen::Mechatronics::MechatronicsManager* NXOpen::Part::MechatronicsManager ( )

Returns the MechatronicsManager instance belonging to this part
Created in NX7.5.1.


NXOpen::Motion::MotionManager* NXOpen::Part::MotionManager ( )

Returns the MotionManager for this part
Created in NX3.0.0.


NXOpen::PartFamilyMemberData* NXOpen::Part::NewPartFamilyMemberData ( )

Create an instance of a NXOpen::PartFamilyMemberData class that will be used to store the member count and member values of each member.

Returns
the new NXOpen::PartFamilyMemberData instance
Deprecated:
Deprecated in NX9.0.0. Create and use NXOpen::PartFamily::InstanceDefinition objects using NXOpen::PartFamily::TemplateManager::AddInstanceDefinition


Created in NX6.0.0.

License requirements : None

NXOpen::PartFamilyMemberValues* NXOpen::Part::NewPartFamilyMemberValues ( )

Create an instance of a NXOpen::PartFamilyMemberValues class that will be used to store the attribute values of a member.

Returns
the new NXOpen::PartFamilyMemberValues instance
Deprecated:
Deprecated in NX9.0.0. Use NXOpen::PartFamily::InstanceDefinition and NXOpen::PartFamily::InstanceDefinition::SetValueOfAttribute


Created in NX6.0.0.

License requirements : None

NXOpen::PartFamily::TemplateManager* NXOpen::Part::NewPartFamilyTemplateManager ( )

Creates an instance of a NXOpen::PartFamily::TemplateManager class that will be used to manage part family associated with this part.

Returns

Created in NX9.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")
NXOpen::Annotations::NoteCollection* NXOpen::Part::Notes ( )

Returns a collection of notes
Created in NX3.0.0.


NXOpen::GeometricUtilities::OmnicadManager* NXOpen::Part::OmnicadManager ( )

Obtains the OmnicadManager instance belonging to this part
Created in NX10.0.0.


NXOpen::BodyDes::OnestepUnformCollection* NXOpen::Part::OnestepUnforms ( )

Returns the BodyDes.OnestepUnformCollection instance belonging to this part
Created in NX3.0.0.


NXOpen::Motion::PackagingCollection* NXOpen::Part::PackagingCollection ( )

Returns the PackagingCollection for this part
Created in NX3.0.0.


NXOpen::Features::ShipDesign::PenetrationManager* NXOpen::Part::PenetrationManager ( )

Returns the PenetrationManager for this part
Created in NX8.0.0.


NXOpen::Mechatronics::PhysicsManager* NXOpen::Part::PhysicsManager ( )

Returns the PhysicsManager for this part
Created in NX7.5.1.


NXOpen::Annotations::PmiManager* NXOpen::Part::PmiManager ( )

Returns the PmiManager for this part
Created in NX3.0.0.


NXOpen::Assemblies::ProductInterface::Collection* NXOpen::Part::ProductInterface ( )

Returns the ProductInterface Collection
Created in NX5.0.0.


NXOpen::Mechatronics::ProxyObjectCollection* NXOpen::Part::ProxyObjectCollection ( )

Returns the ProxyObjectCollection instance belonging to this part
Created in NX8.5.0.


NXOpen::Mechatronics::ProxyOverrideObjectCollection* NXOpen::Part::ProxyOverrideObjectCollection ( )

Returns the ProxyOverrideObjectCollection instance belonging to this part
Created in NX8.5.0.


NXOpen::Assemblies::RelinkerCollection* NXOpen::Part::Relinkers ( )

Returns the RelinkerCollection instance belonging to this part
Created in NX3.0.0.


void NXOpen::Part::ResetTimestampToLatestFeature ( )

Sets the timestamp for the part to the timestamp of the latest feature in the part.

Use this when you have deleted the latest feature and you want to reuse the timestamp assigned to that feature
Created in NX3.0.0.

License requirements : None

NXOpen::Tooling::AddReusablePartCollection* NXOpen::Part::ReusableParts ( )

Returns the AddReusablePartCollection instance belonging to this part
Created in NX3.0.0.


NXOpen::Routing::RouteManager* NXOpen::Part::RouteManager ( )

Returns the RouteManager for this part
Created in NX3.0.0.


NXOpen::ScRuleFactory* NXOpen::Part::ScRuleFactory ( )

Returns the ScRuleFactory instance belonging to this part
Created in NX3.0.0.


NXOpen::Routing::SegmentManager* NXOpen::Part::SegmentManager ( )

Returns the SegmentManager for this part
Created in NX3.0.0.


NXOpen::Drafting::SettingsManager* NXOpen::Part::SettingsManager ( )

Returns the SettingsManager for part
Created in NX9.0.0.


NXOpen::Annotations::ShipDimensionCollection* NXOpen::Part::ShipDimensions ( )

Returns the ShipDimensionCollection instance belonging to this part
Created in NX9.0.0.


NXOpen::SketchCollection* NXOpen::Part::Sketches ( )

Returns the SketchCollection instance belonging to this part
Created in NX3.0.0.


NXOpen::SketchEvaluatorCollection* NXOpen::Part::SketchEvaluators ( )

Returns the collection of SketchEvaluator
Created in NX3.0.0.


NXOpen::GeometricUtilities::SpinePointDataCollection* NXOpen::Part::SpinePointData ( )

Returns the SpinePointDataCollection instance belonging to this part
Created in NX5.0.0.


NXOpen::Features::Subdivision::SubdivisionBodyCollection* NXOpen::Part::SubdivisionBodies ( )

Returns the SubdivisionBodyCollection instance belonging to this part
Created in NX9.0.0.


NXOpen::Tooling::ToolingManager* NXOpen::Part::ToolingManager ( )

Returns the ToolingManager instance belonging to this part
Created in NX3.0.0.


NXOpen::TracelineCollection* NXOpen::Part::Tracelines ( )

Returns a collection of tracelines
Created in NX3.0.0.


NXOpen::UserDefinedTemplate::Collection* NXOpen::Part::UserDefinedTemplates ( )

Returns the UserDefinedTemplate.Collection instance belonging to this part
Created in NX10.0.0.


NXOpen::Drawings::ViewAlignmentCollection* NXOpen::Part::ViewAlignments ( )

Returns the ViewAlignmentCollection belonging to this part
Created in NX8.5.0.


NXOpen::Preferences::ViewPreferences* NXOpen::Part::ViewPreferences ( )

Returns the ViewPreferences Collection
Created in NX5.0.0.



The documentation for this class was generated from the following file:
Copyright 2012 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.